package com.jenny.networked_chests;

import com.jenny.networked_chests.items.items;
import net.minecraft.core.registries.Registries;
import net.minecraft.network.chat.Component;
import net.minecraft.world.item.CreativeModeTab;
import net.minecraft.world.item.CreativeModeTabs;
import net.minecraft.world.item.Item;
import net.minecraft.world.item.ItemStack;
import net.minecraftforge.eventbus.api.IEventBus;
import net.minecraftforge.registries.DeferredRegister;
import net.minecraftforge.registries.RegistryObject;

import java.util.Arrays;

import static com.jenny.networked_chests.Networked_chests.MODID;

public class creativeTab {
    public static final DeferredRegister<CreativeModeTab> CREATIVE_MODE_TABS = DeferredRegister.create(Registries.CREATIVE_MODE_TAB, MODID);
    public static final RegistryObject<CreativeModeTab> CREATIVE_TAB = CREATIVE_MODE_TABS.register("networked_chests", () -> CreativeModeTab.builder().withTabsBefore(CreativeModeTabs.SPAWN_EGGS).icon(() -> items.CHEST_INTERFACE.get().getDefaultInstance()).displayItems((parameters, output) -> {
        output.acceptAll(Arrays.stream(getItems()).toList());
    }).title(Component.literal("Networked Chests")).build());

    public static void register(IEventBus bus) {
        CREATIVE_MODE_TABS.register(bus);
    }

    public static ItemStack[] getItems() {
        ItemStack[] ret = new ItemStack[items.ITEMS.getEntries().size()];
        int i = 0;
        for (RegistryObject<Item> item : items.ITEMS.getEntries()) {
            ret[i] = item.get().getDefaultInstance();
            i++;
        }
        return ret;
    }
}
